section#blog
  div.posts
    display: flex
    flex-direction: column
    gap: 1rem
    align-items: center
  ul.posts-list
    li
      list-style: none
      height: 300px
    .excerpt
      width: clamp(200px, 100%, 500px)
      padding-bottom: 1rem
    img
      max-width: 300px
      width: 300px
  article
    width:100% 
    margin: 1rem 0px
    display: flex
    flex-direction: row
    align-content: center
    gap:3rem
    img
      width: 100%
      height: 100% 
      border-radius: 0.5rem
      flex: 0 2 45%
    div
      flex: 1 0 55%
      h4
        font-weight: bold
        margin: 0.5rem 0px
        text-overflow: ellipsis
        overflow: hidden
        white-space: nowrap
